package com.huimv.beeboxs.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2022-04-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("hive_beehive_out")
public class HiveBeehiveOut implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 传感器 ID
     */
    private String hiveId;

    /**
     * 基站ID
     */
    private String stationId;

    /**
     * 蜂箱编码
     */
    private String hiveCode;

    /**
     * 网络状态
     */
    private Integer netStatus;

    /**
     * 电量
     */
    private String bat;

    /**
     * 信号强度
     */
    private String rssi;

    /**
     * 状态
     */
    private Integer beeStatus;

    /**
     * 温度
     */
    private String temp;

    /**
     * 湿度
     */
    private String humi;

    /**
     * 上传时间
     */
    private LocalDateTime uploadTime;

    /**
     * 拓展字段 1
     */
    private String other1;

    /**
     * 拓展字段 2
     */
    private String other2;

    /**
     * 日期
     */
    private LocalDateTime createDate;

    /**
     * 牧场id
     */
    private Integer farmId;


}
